This event is triggered for the initial card status as well as any subsequent updates.
- Event type:
cards#card-status-change - Profile level subscriptions: Not Supported
- Application level subscriptions: Supported
Events may not be delivered in the order they occurred. Use data.occurred_at to reconcile the order. See the Event ordering guide for details.
See the Webhooks guide for setup instructions, signature verification, and best practices.
RSA-SHA256 signature of the request body, Base64 encoded. Verify this against the Wise public key to ensure the request is authentic and has not been tampered with.
Example:t7FMhk3OARMgwqz0LJXO...
Version of the event schema. Determined by the schema_version on your webhook subscription.
Value:"4.0.0"
Example:"4.0.0"
Discriminator
ID of the webhook subscription that triggered this event.
Example:"ABCD-1234-ABCD-1234-ABCD"
- Production Environmenthttps://api.wise.com/cards#card-status-change
- Sandbox Environmenthttps://api.wise-sandbox.com/cards#card-status-change
- 4.0.0
- 2.0.0
{ "schema_version": "4.0.0", "subscription_id": "ABCD-1234-ABCD-1234-ABCD", "event_type": "cards#card-status-change", "sent_at": "2022-08-22T07:59:50.123Z", "data": { "resource": { "profile_id": 123456, "client_id": "your-bank", "card_token": "ABCD-1234-ABCD-1234-ABCD", "type": "card" }, "card_status": "FROZEN", "changed_by": "internal_system", "occurred_at": "2022-08-22T07:49:50.789Z" } }
Response
{ "status": "ok" }